#!/usr/bin/env python

from imiptools.data import get_utc_datetime, get_value, parse_object
from imiptools.dates import format_datetime
from imip_store import FileStore, FilePublisher
import sys

try:
    user = sys.argv[1]
except IndexError:
    print >>sys.stderr, "Need a user."
    sys.exit(1)

s = FileStore()
p = FilePublisher()

l = s.get_events(user)

objs = []
for i in l:
    print >>sys.stderr, i
    objs.append(parse_object(s.get_event(user, i), "utf-8"))

fb = []
for obj in objs:
    if not obj:
        continue
    details, details_attr = obj.values()[0]
    fb.append((format_datetime(get_utc_datetime(details, "DTSTART")),
               format_datetime(get_utc_datetime(details, "DTEND")),
               get_value(details, "UID"),
               get_value(details, "TRANSP")))

fb.sort()

s.set_freebusy(user, fb)
p.set_freebusy(user, fb)

# vim: tabstop=4 expandtab shiftwidth=4
